%global pypi_name prompt_toolkit

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        Library for building powerful interactive command lines in Python
License:        BSD
URL:            https://github.com/jonathanslenders/python-prompt-toolkit
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
prompt_toolkit is a library for building powerful interactive command lines
and terminal applications in Python.

%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-pygments
Requires:       python-six >= 1.9.0
Requires:       python-wcwidth

%package -n     python3-%{pypi_name}
Summary:        Library for building powerful interactive command lines in Python
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-pygments
Requires:       python3-six >= 1.9.0
Requires:       python3-wcwidth
%description -n python3-%{pypi_name}
prompt_toolkit is a library for building powerful interactive command lines
and terminal applications in Python.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install


%files -n python-%{pypi_name} 
%{!?_licensedir:%global license %doc}
%doc README.rst AUTHORS.rst CHANGELOG
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%doc README.rst AUTHORS.rst CHANGELOG
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Jul 17 2016 joequant <joequant> 1.0.3-1.mga6
+ Revision: 1042419
- fix group
- imported package python-prompt_toolkit

